%define upstream_name    MooseX-Method
%define upstream_version 0.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Method declaration with type checking
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(HTML::Template::Pro)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildArch: noarch


%description
The problem
    This module is an attempt to solve a problem I've often encountered but
    never really found any good solution for: validation of method
    parameters. How many times have we all ourselves writing code like
    this:

      sub foo {
        my ($self,$args) = @_;

        die "Invalid arg1"
          unless (defined $arg->{bar} && $arg->{bar} =~ m/bar/);
      }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/MooseX


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.440.0-13.mga10
+ Revision: 2204071
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.440.0-12.mga9
+ Revision: 1809821
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.440.0-11.mga8
+ Revision: 1505389
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.440.0-10.mga7
+ Revision: 1285082
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.440.0-9.mga7
+ Revision: 1165632
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.440.0-8.mga7
+ Revision: 1159217
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.440.0-7.mga6
+ Revision: 1030466
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.440.0-6.mga6
+ Revision: 946375
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.440.0-5.mga5
+ Revision: 747393
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.440.0-4.mga5
+ Revision: 685547
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.440.0-3.mga4
+ Revision: 513166
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.440.0-2.mga3
+ Revision: 370194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.440.0-1.mga1
+ Revision: 32209
- mageia rebuild
- imported package perl-MooseX-Method


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.440.0-1mdv2010.0
+ Revision: 405945
- rebuild using %%perl_convert_version

* Wed Jul 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.44-1mdv2010.0
+ Revision: 391186
- update to new version 0.44

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-1mdv2010.0
+ Revision: 387013
- update to new version 0.43

* Mon Jul 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2009.0
+ Revision: 235686
- import perl-MooseX-Method


* Mon Jul 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2009.0
- initial mdv release, generated with cpan2dist
